# -*- coding: UTF-8 -*-
from configparser import ConfigParser
import os

def config(filename=os.path.join(os.getcwd(),'database.ini'), section='postgresql'):
    parser = ConfigParser()
    parser.read(filename)

    db = {}
    if parser.has_section(section):
        params = parser.items(section)
        for param in params:
            db[param[0]] = param[1] 
    else:
        raise Exception('Section {0} not found in the {1} file'.format(section, filename))

    return db

if __name__ == '__main__':
    config()